View Modal Survey Raw report
View Modal Survey Raw report
GET
https://api.ocamba.com/v1/hood/reports/modals/survey
The Survey Modal Raw Report provides event-level data for all user interactions with survey modals, including displays, closures, submissions, along with full contextual metadata and detailed question-to-answer mappings
Tip
For easier search, Reports API gives you the possibility of using one of the following labels: today, yesterday, last-7-days, last-30-days, last-24-hours, this-month, last-month, current-hour, last-hour, last-48-hours, last-2-days, month-to-date, month-to-yesterday, quarter-to-date.
Rate limits:
- Burst: 10/s
- Steady: 150/m
Query parameters
parametersResponse schemas
›
200
application/json
›
400
application/json
›
500
application/json
curl -X GET \
"https://api.ocamba.com/v1/hood/reports/modals/survey" \
-H "Authorization: Bearer {TOKEN}"const url = 'https://api.ocamba.com/v1/hood/reports/modals/survey';
const options = {
method: 'GET',
headers: {
Authorization: `Bearer {TOKEN}`
}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}$ch = curl_init("https://api.ocamba.com/v1/hood/reports/modals/survey");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);Responses
200 OK
[
{
"event_date": "2026-02-19T13:52:52Z",
"modal_id": "1036723",
"modal_type": "qa",
"instance_id": "1000261",
"event": "cta_click",
"survey_responses": {
"gq8b19": "answer 1",
"mbujth": "answer 2"
},
"response_time": 6
},
{
"event_date": "2026-02-19T14:54:30Z",
"modal_id": "1036765",
"modal_type": "qa",
"instance_id": "1000357",
"event": "cta_click",
"survey_responses": {
"ach8mi": "test",
"mk25su": "test 2"
},
"response_time": 16
},
{
"event_date": "2026-02-19T13:45:51Z",
"modal_id": "1036749",
"modal_type": "qa",
"instance_id": "1000295",
"event": "cta_click",
"survey_responses": {
"fp7ntl": "example 1",
"fyk42c": "example 2",
"p1pt04": "example 3"
},
"response_time": 8
},
]
400 Bad Request
{
"code": 400,
"title": "Bad request.",
"message": "The request is not valid.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
500 Internal Server Error
{
"code": 500,
"title": "Internal server error.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses